Bug 833353 - Review request: ws-xmlschema - Apache XMLSchema
Review request: ws-xmlschema - Apache XMLSchema
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: APACHE-CXF
  Show dependency treegraph
 
Reported: 2012-06-19 05:41 EDT by Patryk Obara
Modified: 2013-03-13 00:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 22:56:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patryk Obara 2012-06-19 05:41:50 EDT
Spec URL:
http://dreamertan.fedorapeople.org/srpm/ws-xmlschema/2.0.2-1.fc17/ws-xmlschema.spec

SRPM URL:
http://dreamertan.fedorapeople.org/srpm/ws-xmlschema/2.0.2-1.fc17/ws-xmlschema-2.0.2-1.fc17.src.rpm

Description:
Apache XMLSchema is a light weight schema object model that can be
used to manipulate or generate XML schema. It has very few external
dependencies and can be easily integrated into an existing project.

http://ws.apache.org/commons/xmlschema20/

Note: package XmlSchema is older; ws-xmlschema code is published in different directory, has newer version and contains some classes, that are missing from XmlSchema.
Comment 1 Mikolaj Izdebski 2012-06-19 07:08:41 EDT
The w3c-testcases included with this distribution are made available under the terms of the W3C DOCUMENT NOTICE AND LICENSE, available online at
http://www.w3.org/Consortium/Legal/copyright-documents-19990405.html
Unfortunately this license is NOT allowed to be used in Fedora, see:
http://fedoraproject.org/wiki/Licensing:Main#Bad_Licenses_2

You should probably remove the test cases and repackage the source zip file.
Comment 2 Marek Goldmann 2012-06-21 04:16:22 EDT
Patryk, did you repackage the source zip?
Comment 3 Marek Goldmann 2012-06-25 04:55:20 EDT
I'm taking this for review, although I'll not approve it until the issue in comment #1 will be fixed.
Comment 4 Marek Goldmann 2012-06-25 05:26:09 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
ws-xmlschema.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/ws-xmlschema-2.0.2/RELEASE-NOTE.txt
ws-xmlschema-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.
License type: ASL 2.0

See comment #2.

[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 800afbc56d856d1eaf3cd9cea6d3b922
MD5SUM upstream package: 800afbc56d856d1eaf3cd9cea6d3b922
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[!]  Package contains code, or permissable content.

See comment #2.

[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[!]  If source tarball includes bundled jar/class files these need to be removed prior to building

One jar is not removed:

./w3c-testcases/w3c-testcases.jar

[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)

See note #1.

[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4192566

=== Issues ===
1. Please fix licensing issues.
2. Remove the binary jar before building.

=== Final Notes ===
1. I don't think there will be built anything besides the core module, does it make sense to put it into root dir withut creating the subdir? "install -d -m 755 %{buildroot}%{_javadir}/%{name}"
Comment 6 Marek Goldmann 2012-07-05 03:02:47 EDT
I'm approving this package now, but please remove the line 72:

  ln -s %{name}.jar %{buildroot}%{_javadir}/$module.jar

and change line 71 to this:

  install -pm 644 target/$module-%{version}.jar %{buildroot}%{_javadir}/$module.jar

at the import time.

================
*** APPROVED ***
================
Comment 7 Marek Goldmann 2012-07-05 05:31:34 EDT
In fact, you can remove the modules loop code, consider it.
Comment 8 Patryk Obara 2012-07-06 09:53:03 EDT
New Package SCM Request
=======================
Package Name: ws-xmlschema
Short Description: Apache XMLSchema
Owners: dreamertan
Branches: f17
InitialCC: goldmann
Comment 9 Gwyn Ciesla 2012-07-06 09:56:32 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-07-06 11:59:14 EDT
ws-xmlschema-2.0.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ws-xmlschema-2.0.2-3.fc17
Comment 11 Fedora Update System 2012-07-06 17:28:09 EDT
ws-xmlschema-2.0.2-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-07-20 22:56:19 EDT
ws-xmlschema-2.0.2-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.